# Method: properties.provisionSubproperty

- [HTTP request](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties/provisionSubproperty#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties/provisionSubproperty#body.request_body)
  - [JSON representation](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties/provisionSubproperty#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties/provisionSubproperty#body.response_body)
  - [JSON representation](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties/provisionSubproperty#body.ProvisionSubpropertyResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties/provisionSubproperty#body.aspect)
- [Try it!](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties/provisionSubproperty#try-it)

Create a subproperty and a subproperty event filter that applies to the created subproperty.

### HTTP request

`POST https://analyticsadmin.googleapis.com/v1alpha/properties:provisionSubproperty`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "subproperty": { object (`https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties#Property`) }, "subpropertyEventFilter": { object (`https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.subpropertyEventFilters#SubpropertyEventFilter`) }, "customDimensionAndMetricSynchronizationMode": enum (`https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.subpropertySyncConfigs#SynchronizationMode`) } ``` |

| Fields ||
|---|---|
| `subproperty` | ``object (`https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties#Property`)`` Required. The subproperty to create. |
| `subpropertyEventFilter` | ``object (`https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.subpropertyEventFilters#SubpropertyEventFilter`)`` Optional. The subproperty event filter to create on an ordinary property. |
| `customDimensionAndMetricSynchronizationMode` | ``enum (`https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.subpropertySyncConfigs#SynchronizationMode`)`` Optional. The subproperty feature synchronization mode for Custom Dimensions and Metrics |

### Response body

Response message for properties.provisionSubproperty RPC.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "subproperty": { object (`https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties#Property`) }, "subpropertyEventFilter": { object (`https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.subpropertyEventFilters#SubpropertyEventFilter`) } } ``` |

| Fields ||
|---|---|
| `subproperty` | ``object (`https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties#Property`)`` The created subproperty. |
| `subpropertyEventFilter` | ``object (`https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.subpropertyEventFilters#SubpropertyEventFilter`)`` The created subproperty event filter. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/analytics.edit`